### Method

# Ggit Repository remove_note

#### Declaration [src]

    gboolean
    ggit_repository_remove_note (
      GgitRepository* repository,
      const gchar* notes_ref,
      GgitSignature* author,
      GgitSignature* committer,
      GgitOId* id,
      GError** error
    )

#### Description [src]

Removes the note for an object.

#### Parameters

`notes_ref`

  Type: `const gchar*`

  Canonical name of the reference to use, or `NULL` to use the default ref.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`author`

  Type: `GgitSignature`

  Author signature.

  The data is owned by the caller of the method.

`committer`

  Type: `GgitSignature`

  Committer signature.

  The data is owned by the caller of the method.

`id`

  Type: `GgitOId`

  OID of the git object to decorate.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the note was removed from `id`.